Package org.eclipse.jface.text

# Interface IMultiTextSelection

All Superinterfaces:
  `ISelection`, `ITextSelection`

All Known Implementing Classes:
  `BlockTextSelection`, `MultiTextSelection`, `TextSelection`

public interface IMultiTextSelection extends ITextSelection
This interface represents a textual selection that can be made of multiple discontinued selected ranges.

Since:
  3.19

## Method Summary

Modifier and Type
Method
Description
`IRegion[]`
`getRegions()`
Returns a non-empty array containing the selected text range for each line covered by the selection.

### Methods inherited from interface org.eclipse.jface.viewers.ISelection

`isEmpty`

### Methods inherited from interface org.eclipse.jface.text.ITextSelection

`getEndLine, getLength, getOffset, getStartLine, getText`

## Method Details

### getRegions

IRegion[] getRegions()
Returns a non-empty array containing the selected text range for each line covered by the selection.

Returns:
  an array containing a the covered text range for each line covered by the receiver